MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005006ATutorModulespublic2012-06-28 09:492012-08-31 17:48
Reportergreg 
Assigned Tocindy 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version2.1 
Summary0005006: things current group files
DescriptionIt was reported that file submitted to File Storage through groups, are visible in Things Current by all students in a course. Students should only see files from groups they are members of.
TagsNo tags attached.
Affects versionSVN
SVN Revision#f15ebc30030e639a21132775ab718d1db715af27
Attached Files

- Relationships

-  Notes
(0005626)
greg (administrator)
2012-07-10 13:19

Same problem occurs in sublinks.php for the file storage module. The query does not check if the user is a member of the group the file was submitted to.
(0005790)
cindy (administrator)
2012-07-27 08:41

Solution: Check whether the current login user is in the group that the file uploaded via "file storage" belongs to.

Affected: mods/_standard/file_storage/module_news.php
(0005822)
greg (administrator)
2012-08-31 17:48

closed in ATutor 2.1

- Issue History
Date Modified Username Field Change
2012-06-28 09:49 greg New Issue
2012-07-10 13:19 greg Note Added: 0005626
2012-07-10 13:19 greg Assigned To => cindy
2012-07-10 13:19 greg Status new => assigned
2012-07-27 08:41 cindy SVN Revision# => f15ebc30030e639a21132775ab718d1db715af27
2012-07-27 08:41 cindy Note Added: 0005790
2012-07-27 08:41 cindy Status assigned => resolved
2012-07-27 08:41 cindy Fixed in Version => 2.1
2012-07-27 08:41 cindy Resolution open => fixed
2012-08-31 17:48 greg Note Added: 0005822
2012-08-31 17:48 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker